
<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Edit ContactUs Category</strong>
                </h3>
            </div>
            <div class="ibox-content">
                <form [formGroup]="editForm" #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit)="updateContactusCategory()">

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Category <i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder = " Category" name="category" formControlName="category" class="form-control">
                            <div class="error-msg" *ngIf="editForm.controls['category'].invalid && (editForm.controls['category'].dirty || editForm.controls['category'].touched || f.submitted)">
                                <div *ngIf="editForm.controls['category'].errors.required" >
                                    Category is required.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save changes</button>
                            <button class="btn btn-white" type="button" [routerLink]="['/admin/administration/contactus-category']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
